package es.verdnatura.presentation.common

class ItemBarCodeSalix(
    var itemFk: Int,
    var code: String
)

data class SaleTrackingReplaceSalix(
    var saleFk: Int,
    var originalQuantity: Int,
    var code: String,
    var isChecked: Boolean,
    var buyFk: Long,
    var isScanned: Boolean,
)

data class SaleTrackingSalix(
    var saleFk: Int,
    var originalQuantity: Int,
    var code: String,
    var isChecked: Boolean,
    var buyFk: Long,
    var isScanned: Boolean?,
    var quantity: Int,
    var itemShelvingFk: Int

)

class PackingSiteSalix(
    var ticketFk: Int,
    var workerFk: Int

)

data class ItemShelvingSaleSalix(
    var id: Int,
    var quantity: Int,
    var isItemShelvingSaleEmpty: Boolean?
)

data class ItemShelvingSalix(
    var visible: Int,
    var packing: Int?,
    var grouping: Int?,
    var available : Int?

)

data class ItemDiscardSalixShortage(
    var itemFk: Int,
    var warehouseFk: Int,
    var quantity: Int,
    var addressFk: Int?
)

data class BackSalixCall(
    var schema: String = "vn",
    var params: ArrayList<Any?>
)

data class CollectionItemSalix(
    var barcode: String,
    var quantity: Int,
    var ticketFk: Int,
    var warehouseFk: Int

)
//Tarea 6889
data class ItemAddSale(
    var barcode: String,
    var quantity: Int,

)

data class TicketState(
    val ticketFk: Int = 0,
    val code: String = "",
    val user: UserSalix = UserSalix()
) {
    data class UserSalix(
        val id: Int = 0,
        val username: String = ""
    )
}
data class ExpeditionPrintOut(
    val expeditionFk:Long,
    val itemFk:Int,
    val isChecked: Boolean
)